
QGIS Application - Bug report #1247

Failed assertion in ggsclipper.h

2008-08-25 05:55 AM - pmcdermott -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Gentoo Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11307

Description

Started QGIS. Opened a project which I had created and worked on before. QGIS crashes with an assertion failure (detail below).

Attempting to open the project again results in the same problem.

Warning: Throwing exception /var/tmp/portage/gis/qgis-0.11.0/work/qgis_0.11.0/src/core/qgscoordinatetransform.cpp502

Warning: Throwing exception /var/tmp/portage/gis/qgis-0.11.0/work/qgis_0.11.0/src/core/qgscoordinatetransform.cpp396

Debug: Transform error caught in /var/tmp/portage/gis/qgis-0.11.0/work/qgis_0.11.0/src/core/qgsmaprender.cpp line 564:

Failed forward transform of

(-4331.91, -2558.65)

(-1577.28, -2558.65)

(1177.35, -2558.65)

(3931.98, -2558.65)

(6686.61, -2558.65)

(9441.23, -2558.65)

(12195.9, -2558.65)

(14950.5, -2558.65)

(-4331.91, 874.161)

(-1577.28, 874.161)

(1177.35, 874.161)

(3931.98, 874.161)

(6686.61, 874.161)

(9441.23, 874.161)

(12195.9, 874.161)

(14950.5, 874.161)

(-4331.91, 4306.97)

(-1577.28, 4306.97)

(1177.35, 4306.97)

(3931.98, 4306.97)

(6686.61, 4306.97)

(9441.23, 4306.97)

(12195.9, 4306.97)

(14950.5, 4306.97)

(-4331.91, 7739.79)

(-1577.28, 7739.79)

(1177.35, 7739.79)

(3931.98, 7739.79)

(6686.61, 7739.79)

(9441.23, 7739.79)

(12195.9, 7739.79)

(14950.5, 7739.79)
(-4331.91, 11172.6)

(-1577.28, 11172.6)

(1177.35, 11172.6)

(3931.98, 11172.6)

(6686.61, 11172.6)

(9441.23, 11172.6)

(12195.9, 11172.6)

(14950.5, 11172.6)

(-4331.91, 14605.4)

(-1577.28, 14605.4)

(1177.35, 14605.4)

(3931.98, 14605.4)

(6686.61, 14605.4)

(9441.23, 14605.4)

(12195.9, 14605.4)

(14950.5, 14605.4)

(-4331.91, 18038.2)

(-1577.28, 18038.2)

(1177.35, 18038.2)

(3931.98, 18038.2)

(6686.61, 18038.2)

(9441.23, 18038.2)

(12195.9, 18038.2)

(14950.5, 18038.2)

(-4331.91, 21471)

(-1577.28, 21471)

(1177.35, 21471)

(3931.98, 21471)

(6686.61, 21471)

(9441.23, 21471)

(12195.9, 21471)

(14950.5, 21471)

with error: geocentric transformation missing z or ellps

Warning: No valid projection. Unable to set map units.

Warning: QPainter::begin: Cannot paint on a null pixmap

Fatal: ASSERT: "std::abs(r_d) > SMALL_NUM && std::abs(r_n) > SMALL_NUM" in file

/var/tmp/portage/gis/qgis-0.11.0/work/qgis_0.11.0/src/core/qgsclipper.h, line 267

History

#1 - 2008-10-22 10:48 AM - Magnus Homann

- Status changed from Open to In Progress

Do you have the possibility to submit the project and/or offending files?

#2 - 2008-10-24 07:49 AM - pmcdermott -

Sorry, it was some time ago now, so I have completely re-built the

offending project

2025-04-27 2/3



#3 - 2008-10-27 11:29 AM - Magnus Homann

- Resolution set to worksforme

- Status changed from In Progress to Closed

I suppose there was an error when changing CRS id numbers from previous versions of QGIS, and this somehow led to a fatal error. I cannot find much of

the warning text in teh core, either it has been changed or it comes from a plugin.

I have to set this to worksforme, as we cannot reproduce it.

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
